#
# spec file for package perl-DateTime-Calendar-Julian
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name DateTime-Calendar-Julian
Name:           perl-DateTime-Calendar-Julian
Version:        0.107
Release:        1.13
Summary:        Dates in the Julian calendar
License:        Artistic-1.0 OR GPL-1.0-or-later
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/W/WY/WYANT/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(DateTime) >= 1.48
BuildRequires:  perl(Test::More) >= 0.88
Requires:       perl(DateTime) >= 1.48
%{perl_requires}

%description
DateTime::Calendar::Julian implements the Julian Calendar. This module
implements all methods of DateTime; see the DateTime(3) manpage for all
methods.

%prep
%autosetup  -n %{cpan_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes README
%license LICENSE

%changelog
* Mon Jan 31 2022 Tina Müller <timueller+perl@suse.de>
- updated to 0.107
  see /usr/share/doc/packages/perl-DateTime-Calendar-Julian/Changes
  0.107		2022-01-30	T. R. Wyant
    Add method calendar_name(), which returns 'Julian'.
    Require DateTime 1.48 for is_last_day_of_quarter().  This is a
    significant bump, since the previous was 0.08.
    Update Perl requirement in metadata to 5.008004.  It was always this
    in fact, since DateTime requires this, as does Makefile.PL.
    Add support for quarters.
* Sun Sep 26 2021 Tina Müller <timueller+perl@suse.de>
- updated to 0.106
  see /usr/share/doc/packages/perl-DateTime-Calendar-Julian/Changes
  0.106		2021-09-25	T. R. Wyant
    Correct repository links in metadata.  Thanks to Keith Thompson for
    finding and reporting this.
* Mon Sep  6 2021 Tina Müller <timueller+perl@suse.de>
- updated to 0.105
  see /usr/share/doc/packages/perl-DateTime-Calendar-Julian/Changes
  0.105		2021-09-05	T. R. Wyant
    Correct generation of 'provides' metadata.  Thanks to Favio Poletti
    for blogging
    https://github.polettix.it/ETOOBUSY/2021/06/15/the-real-pause-workaround/,
    and ultimately to Joel Berger for the pointer to
    https://metacpan.org/pod/CPAN::Meta::Spec#no_index
* Tue Mar 16 2021 Tina Müller <timueller+perl@suse.de>
- updated to 0.104
  see /usr/share/doc/packages/perl-DateTime-Calendar-Julian/Changes
  0.104		2021-03-15	T. R. Wyant
    Add rt.cpan.org back to bug reporting methods. Long live RT!
    Correct GitHub ticket link.
    Get prerequisites up to snuff and add xt/author/prereq.t to ensure
    they stay that way.
* Mon Jan 11 2021 Tina Müller <timueller+perl@suse.de>
- updated to 0.103
  see /usr/share/doc/packages/perl-DateTime-Calendar-Julian/Changes
  0.103		2021-01-10	T. R. Wyant
    Add Travis CI testing.
    Use GitHub as bug tracker. R.I.P. rt.cpan.org.
* Sun Nov 10 2019 <timueller+perl@suse.de>
- updated to 0.102
  see /usr/share/doc/packages/perl-DateTime-Calendar-Julian/Changes
  0.102		2019-11-09	T. R. Wyant
  - Add optional separator arg to datetime(). This tracks the same
    change in DateTime version 1.43 dated 2017-05-29. Thanks to Jean
    Forget for finding, isolating, and reporting this.
  - NOTE that the above change restores the 'T' separator in
    stringification, as it was before DateTime 1.43.
  - Add tests for datetime() method.
  - Eliminate redirections in POD URL links
* Thu Aug 15 2019 Stephan Kulow <coolo@suse.com>
- updated to 0.101
  see /usr/share/doc/packages/perl-DateTime-Calendar-Julian/Changes
  0.101		2019-08-14	T. R. Wyant
  - Fix broken POD links, and add test to ensure they stay fixed.
* Sat Dec 22 2018 Stephan Kulow <coolo@suse.com>
- updated to 0.100
  see /usr/share/doc/packages/perl-DateTime-Calendar-Julian/Changes
* Mon Jun 19 2017 werner@suse.de
- Silent one of the bots complaining about wrong syntax of the
  instead of comlaining a bit for fixing the perl packages would
  be perfect
* Thu Apr 14 2011 coolo@opensuse.org
- initial package 0.04
  * created by cpanspec 1.78.04
